http-types-0.8.6: Generic HTTP types for Haskell (for both client and server code).

Safe Haskell | Safe-Inferred
Language | Haskell98

Network.HTTP.Types.Method

Synopsis

- type Method = ByteString
- methodGet :: Method
- methodPost :: Method
- methodHead :: Method
- methodPut :: Method
- methodDelete :: Method
- methodTrace :: Method
- methodConnect :: Method
- methodOptions :: Method
- methodPatch :: Method
- data StdMethod
  - = GET
  - | POST
  - | HEAD
  - | PUT
  - | DELETE
  - | TRACE
  - | CONNECT
  - | OPTIONS
  - | PATCH
- parseMethod :: Method -> Either ByteString StdMethod
- renderMethod :: Either ByteString StdMethod -> Method
- renderStdMethod :: StdMethod -> Method

# Documentation

type Method = ByteString

HTTP method (flat string type).

methodGet :: Method

HTTP Method constants.

methodPost :: Method

HTTP Method constants.

methodHead :: Method

HTTP Method constants.

methodPut :: Method

HTTP Method constants.

methodDelete :: Method

HTTP Method constants.

methodTrace :: Method

HTTP Method constants.

methodConnect :: Method

HTTP Method constants.

methodOptions :: Method

HTTP Method constants.

methodPatch :: Method

HTTP Method constants.

data StdMethod

HTTP standard method (as defined by RFC 2616, and PATCH which is defined by RFC 5789).

Constructors

GET |
POST |
HEAD |
PUT |
DELETE |
TRACE |
CONNECT |
OPTIONS |
PATCH |

Instances

Bounded StdMethod |
Enum StdMethod |
Eq StdMethod |
Ord StdMethod |
Read StdMethod |
Show StdMethod |
Ix StdMethod |

parseMethod :: Method -> Either ByteString StdMethod

Convert a method `ByteString` to a `StdMethod` if possible.

renderMethod :: Either ByteString StdMethod -> Method

Convert an algebraic method to a `ByteString`.

renderStdMethod :: StdMethod -> Method

Convert a `StdMethod` to a `ByteString`.